#pragma once

#include "CoreMinimal.h"
#include "AssimilationFromDifferentPodsStageData.generated.h"

class ASurvivor;
class AK32KillerPod;

USTRUCT(BlueprintType)
struct FAssimilationFromDifferentPodsStageData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	ASurvivor* TargetSurvivor;

	UPROPERTY(BlueprintReadWrite, Transient)
	AK32KillerPod* FirstPodUsed;

	UPROPERTY(BlueprintReadWrite, Transient)
	AK32KillerPod* AnotherPodUsed;

public:
	THEK32_API FAssimilationFromDifferentPodsStageData();
};

FORCEINLINE uint32 GetTypeHash(const FAssimilationFromDifferentPodsStageData) { return 0; }
